<?php

function getFullSymbol($stock = null) {
	if(!$stock) {
		return '';
	}
	$symbol = strtoupper($stock);
	$exchange  =  ''; 
	
	$obFile  =  fopen(WP_PLUGIN_DIR.'/market-scan/tickerinc/obstocks.txt',  'r'); 
	$pkFile  =  fopen(WP_PLUGIN_DIR.'/market-scan/tickerinc/pkstocks.txt',  'r'); 
	
	if(!$obFile  ||  !$pkFile)
		die("Can't  open file  lists"); 
		
	$foundSymbol  =  false; 
	while(!feof($obFile))  {  
		$line =  trim(fgets($obFile)); 
		if($line  === $symbol) {  
			$exchange = '.ob'; 
			$foundSymbol  = true; 
			break;
		}  
	} 
	fclose($obFile); 
	
	if(!$foundSymbol) {  
		while(!feof($pkFile)) {
			$line = trim(fgets($pkFile));  
			if($line === $symbol) { 
				$exchange =  '.pk'; 
				$foundSymbol = true; 
				break; 
			}  
		} 
	} 
	
	fclose($pkFile);

	$symbol = strtolower($stock) . $exchange;
	return $symbol;
}

?>